Search, check availability, and purchase traditional DNS domains. This API enables AI assistants to help users find and buy domain names.
MCP//
- Cancel marketplace listings
Create marketplace listings
Update marketplace listings
List marketplace offers
Respond to marketplace offers
Cancel marketplace listin...
MCP API (1.0.0)
Overview
URL
Unstoppable Domains
Languages
Servers
Production server
https://api.unstoppabledomains.com
Request
List one or more domains for sale on the marketplace. Supports buy-now pricing, offers, and lease-to-own options.
Security
bearerAuth
Listing expiration date as ISO 8601 string (e.g., "2025-12-31"). Must be 1-36500 days from now. Default: 90 days.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_listing_create
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_listing_create \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"domainName": "string",
"priceInCents": 0,
"expiresAt": "string",
"isEmailAliasUsed": true,
"listingSettings": {
"isOfferFeatureEnabled": true,
"minOfferAmountInCents": 0,
"domainDisplayName": "string"
},
"leaseToOwnOptions": {
"type": "equal_installments",
"maxTermLength": 2,
"downPaymentPercentage": 0
}
}
]
}'Response
application/json
{ "results": [ { … } ], "successCount": 0, "failureCount": 0, "message": "string", "signatureRequired": true, "signatureNote": "string" }
Bodyapplication/jsonrequired
New listing expiration date as ISO 8601 string (e.g., "2025-12-31"). Must be 1-36500 days from now.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_listing_update
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_listing_update \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"listings": [
{
"id": 0,
"priceInCents": 0,
"expiresAt": "string",
"isEmailAliasUsed": true,
"listingSettings": {
"minOfferAmountInCents": 0,
"isOfferFeatureEnabled": true,
"domainDisplayName": "string"
},
"leaseToOwnOptions": {
"type": "equal_installments",
"maxTermLength": 2,
"downPaymentPercentage": 0
}
}
]
}'Response
application/json
{ "results": [ { … } ], "successCount": 0, "failureCount": 0, "message": "string", "signatureRequired": true, "signatureNote": "string" }
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_listing_cancel
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_listing_cancel \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"listingIds": [
0
]
}'Response
application/json
{ "results": [ { … } ], "successCount": 0, "failureCount": 0, "message": "string" }
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_offers_list
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_offers_list \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domainName": "string",
"group": "active",
"page": 0
}'Response
application/json
{ "offers": [ { … } ], "pagination": { "page": 0, "pageSize": 0, "totalPages": 0, "total": 0, "hasMore": true }, "truncated": true, "truncationMessage": "string" }
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_offer_respond
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_offer_respond \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"offers": [
{
"id": 0,
"action": "accept"
}
]
}'Response
application/json
{ "results": [ { … } ], "successCount": 0, "failureCount": 0, "message": "string", "signatureRequired": true, "signatureNote": "string" }